Şablon performansını karşılaştır
curl --request GET \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates/compare \
--header 'Authorization: Bearer <token>'{
"data": [
{
"compared_to": "778899001123",
"start": 1753900000,
"end": 1754500000,
"metrics": [
{
"type": "SENT",
"order": "BASELINE_FIRST",
"values": [
1200,
980
]
},
{
"type": "DELIVERED",
"order": "BASELINE_FIRST",
"values": [
1180,
940
]
},
{
"type": "READ",
"order": "BASELINE_FIRST",
"values": [
860,
610
]
}
]
}
]
}Şablonlar
Şablon performansını karşılaştır
Şablon performansını karşılaştır. Bu işlem için parametreleri, örneği ve kullanılabilir yanıtları inceleyin.
GET
/
meta
/
wabas
/
{wabaId}
/
templates
/
compare
Şablon performansını karşılaştır
curl --request GET \
--url https://cerberus.eazybe.com/prod/api/v2/meta/wabas/{wabaId}/templates/compare \
--header 'Authorization: Bearer <token>'{
"data": [
{
"compared_to": "778899001123",
"start": 1753900000,
"end": 1754500000,
"metrics": [
{
"type": "SENT",
"order": "BASELINE_FIRST",
"values": [
1200,
980
]
},
{
"type": "DELIVERED",
"order": "BASELINE_FIRST",
"values": [
1180,
940
]
},
{
"type": "READ",
"order": "BASELINE_FIRST",
"values": [
860,
610
]
}
]
}
]
}Yetkilendirmeler
Eazybe bearer tokenı. Token kuruluşu tanımlar ve sunucuda güvenli tutulmalıdır.
Yol Parametreleri
GET /meta/phone-numbers tarafından döndürülen WhatsApp Business hesabı kimliği.
Sorgu Parametreleri
Temel şablon kimliği.
Karşılaştırılacak virgülle ayrılmış şablon kimlikleri.
Aralığın Unix saniyesi cinsinden başlangıcı.
Aralığın Unix saniyesi cinsinden sonu.
Yanıt
200 - application/json
Comparison returned
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | wabaId not linked to your organization | Verify the id |
400 | Missing/invalid start or end, or templates not comparable (different category or language) | Compare templates of the same category |
500 | comparedTo omitted from the query | Always send comparedTo |
502 | Graph unreachable or timed out | Retry with backoff |
Show child attributes
Show child attributes
Bu sayfa yararlı mıydı?